Update Label Status
curl --request PUT \
--url https://api.loopreturns.com/api/v1/labels/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "new"
}
'import requests
url = "https://api.loopreturns.com/api/v1/labels/{id}"
payload = { "status": "new" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'new'})
};
fetch('https://api.loopreturns.com/api/v1/labels/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": "Unauthorized."
}{
"message": "This action is unauthorized."
}{
"errors": "Label not found."
}{
"message": "The status field is required.",
"errors": {
"status": [
"The status field is required."
]
}
}{
"errors": "Error updating label."
}Label Requests
Update Label Status
Update the status of the label.
Required API key scope
- Labels (Write)
PUT
/
labels
/
{id}
Update Label Status
Authorizations
oauth2labels-write
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique identifier for the label, created by Loop. This is the identifier that is returned from the Create Label request.
Example:
67329889100573
Body
application/json
The label status values accepted when updating a label.
Available options:
new, pre_transit, in_transit, out_for_delivery, delivered Example:
"new"
Response
No Content
⌘I